The Spring Framework

## org.springframework.web.multipart
Interface MultipartHttpServletRequest

All Superinterfaces:
  HttpServletRequest, MultipartRequest, ServletRequest

All Known Implementing Classes:
  AbstractMultipartHttpServletRequest, DefaultMultipartHttpServletRequest, MockMultipartHttpServletRequest

    public interface MultipartHttpServletRequest

extends HttpServletRequest, MultipartRequest

Provides additional methods for dealing with multipart content within a servlet request, allowing to access uploaded files. Implementations also need to override the standard `ServletRequest` methods for parameter access, making multipart parameters available.

A concrete implementation is `DefaultMultipartHttpServletRequest`. As an intermediate step, `AbstractMultipartHttpServletRequest` can be subclassed.

Since:
  29.09.2003
Author:
  Juergen Hoeller, Trevor D. Cook
See Also:
  `MultipartResolver`, `MultipartFile`, `ServletRequest.getParameter(java.lang.String)`, `ServletRequest.getParameterNames()`, `ServletRequest.getParameterMap()`, `DefaultMultipartHttpServletRequest`, `AbstractMultipartHttpServletRequest`

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Method Summary

Methods inherited from interface javax.servlet.http.HttpServletRequest

`getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from interface javax.servlet.ServletRequest

`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Methods inherited from interface org.springframework.web.multipart.MultipartRequest
`getFile, getFileMap, getFileNames`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.